# CMSIS-DSP: arm_sin_cos_example_f32.c File Reference

| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_sin_cos_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA

## Functions

int32_t | main (void)

## Variables

const float32_t | testInput_f32 [MAX_BLOCKSIZE]
const float32_t | testRefOutput_f32
uint32_t | blockSize
float32_t | testOutput
float32_t | cosOutput
float32_t | sinOutput
float32_t | cosSquareOutput
float32_t | sinSquareOutput
arm_status | status

## Macro Definition Documentation

#define DELTA

Referenced by main().

#define MAX_BLOCKSIZE

## Function Documentation

int32_t main | ( | void |  | ) |

References arm_add_f32(), arm_cos_f32(), ARM_MATH_TEST_FAILURE, arm_mult_f32(), arm_sin_f32(), blockSize, cosOutput, cosSquareOutput, DELTA, sinOutput, sinSquareOutput, status, testInput_f32, testOutput, and testRefOutput_f32.

## Variable Documentation

uint32_t blockSize

float32_t cosOutput

Examples:
  arm_sin_cos_example_f32.c.

Referenced by main().

float32_t cosSquareOutput

Examples:
  arm_sin_cos_example_f32.c.

Referenced by main().

float32_t sinOutput

Examples:
  arm_sin_cos_example_f32.c.

Referenced by main().

float32_t sinSquareOutput

Examples:
  arm_sin_cos_example_f32.c.

Referenced by main().

arm_status status

const float32_t testInput_f32[MAX_BLOCKSIZE]

float32_t testOutput

const float32_t testRefOutput_f32